<!DOCTYPE html>
<html>
<head>
	<title>定向移动</title>
	<style type="text/css">
		#div1{
			position: absolute;
			left:600PX;
			top:50px;
			width: 100px;
			height: 100px;
			background:red;
		}
		#div2{
			position: absolute;
			left:300px;
			top:0;
			width: 1px;
			height: 300px;
			background:#000;
		}
	</style>
	<script type="text/javascript">
		window.onload=function(){
		 	var inpu=document.getElementById('inp');
			inpu.onclick=function(){
		 		startMove(300);
			};
		 };
		function startMove(iTarget){
			var oDiv=document.getElementById('div1');
			
			setInterval(function(){
				var speed=(iTarget-oDiv.offsetLeft)/10;
				//Math.ceil()向上取整，Math.floor()向下取整
			    speed=speed>0?Math.ceil(speed):Math.floor(speed);
				oDiv.style.left=oDiv.offsetLeft+speed+'px';
			},30);
		};
	</script>
</head>
<body>
	<input type="button" name="" value="开始运动" id="inp"/>
	<div id="div1"></div>
	<div id="div2"></div>
</body>
</html>